#  Makefile for GTOOL-3.1 samples
#

include ../../Mkinclude

SUBDIRS       = optarg \
	        gtmlt \
		gtdiv \
		gtsub \
		gtset \
		gtcon \
		gtadd \
		gtshow \
		gtcreate \
		gtskelton \
		gtcont \
		gtcurv \
		gtvect \
		gtavr \
		gtext \
		gtsel \
		gtseq \
		gtintrp \
		gtaxis \
		gthead \
		gtxpwspct \
		gtstrm \
		gttheta \
		gts2p \
		gtslp \
		gtrelh \
		gtqsat \
		gtsqrt \
		gtedy \
		gtint2 \
		gtint1 \
		gttv \
		gtthetae \
		gtbpf \
		gtcrax \
		gtfunc \
		gthydro \
		gtimis \
		gtmask \
		gtscat \
		gtmark \
		gtstspct \
		gtmxmn

# gthbin 

#####

all: 
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making $$i" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done


install:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Installing $$i" ; \
	  $(MAKE) install ; \
	  cd .. ; \
	done

pack:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Packing $$i" ; \
	  $(MAKE) pack ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

clean.local:
	$(RM) *~ *.o *.f

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

